%define oname   zoom

Name:       ruby-%{oname}
Version:    0.4.1
Release:    %mkrel 4
Summary:    Ruby Zoom Handler
Group:      Development/Ruby
License:    MIT
URL:        http://tmail.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     zoom-0.4.1-ruby-1.9.patch
Patch1:     114813bd42da5e9d2c3f8b2a9070c35891d2e377.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-minitest
BuildRequires: ruby-rake
BuildRequires: yaz-devel

%description
Ruby/ZOOM provides a Ruby binding to the Z40.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface to 
a subset of the services specified by the Z39.50 standard, also 
known as the international standard ISO 23950.

%files
%{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc ChangeLog README sample
%{ruby_sitearchdir}/zoom.so

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%apply_patches

%build
rake build
rake package

%install
%gem_install

%check
rake test



%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.4.1-4.mga3
+ Revision: 396635
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 381632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 pterjan <pterjan> 0.4.1-2.mga3
+ Revision: 317039
- Get it to build (including modified version of a patch by Piotr Slatala)
- Patch for ruby 1.9

  + fwang <fwang>
    - rebuild for new ruby

* Fri Apr 29 2011 dmorgan <dmorgan> 0.4.1-1.mga1
+ Revision: 93465
- imported package ruby-zoom

